Bug 426302 - Review Request: openuniverse - OpenGL space simulator focused on the Solar System
Review Request: openuniverse - OpenGL space simulator focused on the Solar Sy...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sergio Pascual
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-19 16:49 EST by Marek Mahut
Modified: 2008-03-24 13:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-24 13:22:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sergio.pasra: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Ulrich's mail about license of PPM (2.15 KB, text/plain)
2008-02-19 09:15 EST, Marek Mahut
no flags Details

  None (edit)
Description Marek Mahut 2007-12-19 16:49:01 EST
Spec URL: http://mmahut.fedorapeople.org/reviews/openuniverse/openuniverse.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/openuniverse/openuniverse-1.0-0.beta3.fc8.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=301401
Description: OpenUniverse is a space simulator.  It currently focusses on the Solar
System and lets you visit all of its planets, major moons and a vast
collection of smaller bodies in colorful, glorious and realtime 3D.

If you've ever had a chance to visit Mercury or asteroid Geographos, here
you'll find them looking exactly the same way, following exactly the same
path as when you've left them.
Comment 1 Mamoru TASAKA 2007-12-27 11:01:46 EST
First, would you clarify the license of data/stars.dat?
It says:
------------------------------------------------------------
     1  # --------------------------------------------------------------------------
     2  # A basic set of bright stars -- taken from the xephem program.
     3  # 
------------------------------------------------------------
However, the license of xephem is apparently non-free.
http://www.clearskyinstitute.com/xephem/
Comment 2 Mamoru TASAKA 2007-12-27 11:02:18 EST
More specific,
http://www.clearskyinstitute.com/xephem/download.html
Comment 3 Marek Mahut 2007-12-27 12:27:31 EST
Hello Mamoru,

These are only data from bright star catalogue which are afaik public domain
(without specific license) [1], thus is not the production from xephem authors.

  [1] http://en.wikipedia.org/wiki/Harvard_Revised_catalogue

Comment 4 Lubomir Kundrak 2007-12-27 13:28:09 EST
Marek: Please modify the package's license tag accordingly or at least add a
comment. Are you sure xephem did not modify the catalogue?
Comment 5 Marek Mahut 2007-12-27 14:28:43 EST
Lubomir, ok I will add PD tag later. I'm not sure, but even if they did it
changes not big thing, from my point of view it's like list of world states. If
you want I can fetch information from the catalogue and build my own list, which
will be quite similar. 

Adding FE-LEGAL to see if we have to include our own list or we can ship the
list from xephem.
Comment 6 Marek Mahut 2007-12-27 15:47:04 EST
Damn it :( reply from xephem upstream:

> I stopped distributing that file some years ago when I was contacted by Yale
reminding me it can not be redistributed,
> it was only released to Astronomical Data Center, NSSDC/ADC. I advise that you
should stay clear of it also.

Never mind! I'm collecting my own list of starts (using wikipedia and local
sourceS), give me few days.

Question for leal team: if it enough to delete this file during %setup in the
RPM and replace by mine or should I roll-out a separate tar ball for it?

Thanks guys.
Comment 7 Dan Horák 2007-12-27 16:10:30 EST
Spot's (Fedora's Legal Guru) solution in similar situation was to distribute a
modified archive without the problematic file. And here I would add your file as
SourceX. Remember the keyword is "distribution" even as source rpm.
Comment 8 Marek Mahut 2007-12-28 13:07:37 EST
I've already got approval to use PPM catalogue. But I'm still waiting for
response from Yale institute (promised to be on 2nd Jan).
Comment 9 Tom "spot" Callaway 2008-01-02 17:28:06 EST
Yeah, if we can't distribute it, we can't distribute it in the SRPM, and we need
to pull it out of the tarball.

Inform upstream of this problem and see if they will release a new version of
the software that doesn't have the troublesome file.
Comment 10 Marek Mahut 2008-01-20 13:55:00 EST
So,

1) no update from upstream, I resent my mail 3 times

2) we already have this catalogue in Fedora in other package,
http://koji.fedoraproject.org/koji/packageinfo?packageID=5465

What in this case?
Comment 11 Sergio Pascual 2008-02-09 08:24:49 EST
Marek, if we can't redistribute the catalog you need to create a custom tarball
and build the rpm with it. Does the program work without this particular catalog
or you are planning to substitute it with a new one?
Comment 12 Marek Mahut 2008-02-09 15:29:58 EST
Sergio, I have my working copy from sky2000 catalogue, I'll provide it in few
days. But another package (starplot) is using this ugly closed thing and it's
already in Fedora. 
Comment 13 Sergio Pascual 2008-02-09 18:51:44 EST
I'm CCing Debarshi Ray, the owner of starplot, so he can notice the problem with
the catalog.
Comment 14 Debarshi Ray 2008-02-10 08:09:51 EST
Well the "starplot" package itself does not contain any such catalogs. I think
you are referring to the ones provided by: "starplot-gliese3" and
"starplot-yale5". These packages have "Redistributable, no modification
permitted" as their license.

There was a discussion on this on fedora-devel-list@redhat.com :
https://www.redhat.com/archives/fedora-devel-list/2007-November/msg00742.html
The conversation included Spot and Hans and it was decided to generate the
*.star files, needed by Starplot, from the catalogs in %post because the license
allows us to re-distribute the catalogs but not modified copies (eg., *.star
files) of them.
Comment 15 Marek Mahut 2008-02-19 09:15:22 EST
Created attachment 295284 [details]
Ulrich's mail about license of PPM
Comment 16 Marek Mahut 2008-02-19 09:24:49 EST
Done, spec file updated. I've rolled-out a new .tar source package without
affected content.

 http://mmahut.fedorapeople.org/reviews/openuniverse/openuniverse-1.0-1.beta3.fc8.src.rpm
Comment 17 Sergio Pascual 2008-02-24 17:22:38 EST
+ source files match upstream
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.
+ latest version is being packaged.
+ BuildRequires are proper.
+ %clean is present.
+ package installs properly
+ debuginfo package looks complete.
+ rpmlint is silent.
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
- no duplicates in %files.
warning: File listed twice: /usr/share/openuniverse/docs
warning: File listed twice: /usr/share/openuniverse/docs/BUGS.TXT
warning: File listed twice: /usr/share/openuniverse/docs/OGL_sm.gif
warning: File listed twice: /usr/share/openuniverse/docs/cyclo.gif
warning: File listed twice: /usr/share/openuniverse/docs/linux.gif
warning: File listed twice: /usr/share/openuniverse/docs/manual.html
warning: File listed twice: /usr/share/openuniverse/docs/shot2.gif
warning: File listed twice: /usr/share/openuniverse/docs/shot3.gif
warning: File listed twice: /usr/share/openuniverse/docs/title.gif
+ file permissions are appropriate.
+ scriptlets are ok.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ GUI app. 
It includes a desktop file and it's properly installed (but the icon it's
missing, is that intended?)

So, please fix the duplicated entries in files and the package it's approved
Comment 18 Marek Mahut 2008-03-07 06:12:45 EST
Sergio, desktop files and duplicated entries corrected.

Spec URL: http://mmahut.fedorapeople.org/reviews/openuniverse/openuniverse.spec
SRPM URL:
http://mmahut.fedorapeople.org/reviews/openuniverse/openuniverse-1.0-0.beta3.fc8.src.rpm
Comment 19 Mamoru TASAKA 2008-03-08 02:30:13 EST
* When using "cp" or "install" commands, please add "-p" option to
  keep timestamps on installed files.

* Categories "X-Fedora" "Application" are deprecated for desktop files and
  they should be removed.

* Please check if %{_datadir}/openuniverse is properly owned by
  one rpm.

* Please consider to use
-----------------------------------------------------------------------
  make install SHOTS_DIR=. DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
-----------------------------------------------------------------------
  This method usually works for recent autotool-based Makefiles
  and is useful for keeping timestamps on installed files.

* The current release numbering is not right for pre-release tarball.
  Please refer to the section "Non-Numeric Version in Release" of
  http://fedoraproject.org/wiki/Packaging/NamingGuidelines
Comment 21 Sergio Pascual 2008-03-10 18:08:59 EDT
Thanks Mamoru

Package approved
Comment 22 Marek Mahut 2008-03-23 06:58:31 EDT
thank you guys

New Package CVS Request
=======================
Package Name: openuniverse
Short Description: OpenGL space simulator focused on the Solar System
Owners: mmahut
Branches: F-8
InitialCC: astronomy-sig (only bugzillawatch please)
Cvsextras Commits: yes
Comment 23 Kevin Fenzi 2008-03-23 14:08:45 EDT
I see FE-Legal blocker is still here... should it be lifted? 

Spot? 
Comment 24 Marek Mahut 2008-03-23 14:36:37 EDT
Oh, yes. Sorry, I've added FE-Legal regarding the question in comment #5, but it
got resolve in comment #16.

Removing FE-Legal.
Comment 25 Kevin Fenzi 2008-03-24 12:59:45 EDT
Thanks. cvs done.
Comment 26 Marek Mahut 2008-03-24 13:22:21 EDT
Thank you Kevin and Sergio, building in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.